# FoundationClasses
TKMath
Convert

# Convert_ConeToBSplineSurface Class Reference

This algorithm converts a bounded Cone into a rational
B-spline surface.
The cone a Cone from package gp. Its parametrization is :
P (U, V) = Loc + V * Zdir +
(R + V*Tan(Ang)) * (Cos(U)*Xdir + Sin(U)*Ydir)
where Loc is the location point of the cone, Xdir, Ydir and Zdir
are the normalized directions of the local cartesian coordinate
system of the cone (Zdir is the direction of the Cone's axis) ,
Ang is the cone semi-angle. The U parametrization range is
[0, 2PI].
KeyWords :
Convert, Cone, BSplineSurface.
.

`#include <Convert_ConeToBSplineSurface.hxx>`

Inheritance diagram for Convert_ConeToBSplineSurface:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Convert_ConeToBSplineSurface (const gp_Cone &C, const Standard_Real U1, const Standard_Real U2, const Standard_Real V1, const Standard_Real V2)
| The equivalent B-spline surface as the same orientation as the Cone in the U and V parametric directions. Raised if U1 = U2 or U1 = U2 + 2.0 * Pi Raised if V1 = V2. .
Standard_EXPORT | Convert_ConeToBSplineSurface (const gp_Cone &C, const Standard_Real V1, const Standard_Real V2)
| The equivalent B-spline surface as the same orientation as the Cone in the U and V parametric directions. Raised if V1 = V2. .

## Constructor & Destructor Documentation

Standard_EXPORT Convert_ConeToBSplineSurface::Convert_ConeToBSplineSurface | ( | const gp_Cone & | C,
|  | const Standard_Real | U1,
|  | const Standard_Real | U2,
|  | const Standard_Real | V1,
|  | const Standard_Real | V2
| ) |

Standard_EXPORT Convert_ConeToBSplineSurface::Convert_ConeToBSplineSurface | ( | const gp_Cone & | C,
|  | const Standard_Real | V1,
|  | const Standard_Real | V2
| ) |

## Member Function Documentation

void Convert_ConeToBSplineSurface::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from Convert_ElementarySurfaceToBSplineSurface.

void* Convert_ConeToBSplineSurface::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from Convert_ElementarySurfaceToBSplineSurface.

void* Convert_ConeToBSplineSurface::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from Convert_ElementarySurfaceToBSplineSurface.

The documentation for this class was generated from the following file:

- Convert_ConeToBSplineSurface.hxx